Loading...
Searching...
No Matches
Dune::Amg::SubGraph< G, T >::VertexIterator Class Reference

The vertex iterator of the graph. More...

`#include <dune/istl/paamg/graph.hh>`

Inheritance diagram for Dune::Amg::SubGraph< G, T >::VertexIterator:

## Public Member Functions

| VertexIterator (const SubGraph< G, T > *graph, const VertexDescriptor &current, const VertexDescriptor &end)
| Constructor.
| VertexIterator (const VertexDescriptor &current)
| Constructor for end iterator.
VertexIterator & | increment ()
| Preincrement operator.
bool | equals (const VertexIterator &other) const
| Equality iterator.
const VertexDescriptor & | dereference () const
| Get the descriptor of the current vertex.
EdgeIterator | begin () const
| Get an iterator over all edges starting at the current vertex.
EdgeIterator | end () const
| Get an iterator over all edges starting at the current vertex.

## Detailed Description

template<class G, class T>
class Dune::Amg::SubGraph< G, T >::VertexIterator

The vertex iterator of the graph.

## Constructor & Destructor Documentation

## VertexIterator() [1/2]

template<class G, class T>

Dune::Amg::SubGraph< G, T >::VertexIterator::VertexIterator | ( | const SubGraph< G, T > * | graph,
|  | const VertexDescriptor & | current,
|  | const VertexDescriptor & | end )

explicit

Constructor.

Parameters

  graph | The graph over whose vertices to iterate.
  current | The position of the iterator.
  end | The last vertex of the graph.

## VertexIterator() [2/2]

template<class G, class T>

Dune::Amg::SubGraph< G, T >::VertexIterator::VertexIterator | ( | const VertexDescriptor & | current | ) |

explicit

Constructor for end iterator.

Use with care! All operations except operator== or operator!= will fail!

Parameters

  current | The position of the iterator.

## Member Function Documentation

## begin()

template<class G, class T>

EdgeIterator Dune::Amg::SubGraph< G, T >::VertexIterator::begin | ( |  | ) | const

Get an iterator over all edges starting at the current vertex.

Returns
  Iterator position on the first edge to another vertex.

## dereference()

template<class G, class T>

const VertexDescriptor & Dune::Amg::SubGraph< G, T >::VertexIterator::dereference | ( |  | ) | const

Get the descriptor of the current vertex.

Returns
  The index of the currently referenced vertex.

## end()

template<class G, class T>

EdgeIterator Dune::Amg::SubGraph< G, T >::VertexIterator::end | ( |  | ) | const

Get an iterator over all edges starting at the current vertex.

Returns
  Iterator position on the first edge to another vertex.

## equals()

template<class G, class T>

bool Dune::Amg::SubGraph< G, T >::VertexIterator::equals | ( | const VertexIterator & | other | ) | const

Equality iterator.

## increment()

template<class G, class T>

VertexIterator & Dune::Amg::SubGraph< G, T >::VertexIterator::increment | ( |  | ) |

Preincrement operator.

The documentation for this class was generated from the following file:

- graph.hh